curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
[
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
}
]
},
{
"id": 16,
"bankAccountNumber": "OUTRA_CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 19,
"splitPaymentConfigurationId": 16,
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": null
}
}
}
]
}
]
Split de Pagamentos
Listar configurações de Split
Liste todas as configurações de Split de Pagamento cadastradas para a conta.
GET
/
baas
/
api
/
v1
/
split-payments
/
configurations
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
[
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
}
]
},
{
"id": 16,
"bankAccountNumber": "OUTRA_CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 19,
"splitPaymentConfigurationId": 16,
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": null
}
}
}
]
}
]
Para o passo a passo completo, veja o guia Consultar Split de Pagamentos.
x-delfinance-account-id, incluindo suas respectivas instruções.
Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
Response
Array de objetos de configuração, cada um com a mesma estrutura descrita em Criar configuração de Split.curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
[
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
}
]
},
{
"id": 16,
"bankAccountNumber": "OUTRA_CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 19,
"splitPaymentConfigurationId": 16,
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": null
}
}
}
]
}
]
⌘I

